QGIS Application - Bug report #14605
Error with symbol layer properties - This layer doesn’t have any editable properties
2016-04-02 12:39 PM - Liam Mason

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.14.0 Regression?: No

Operating System: OsX Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22571
Description

When accessing the style tab of a layer properties, instead of options like colours, fill etc, | see the text "This layer doesn't have any
editable properties" which stops me from accessing the full symbology settings.

This is the same or similar issue as noted here with 2.10.1:
http://gis.stackexchange.com/questions/157471/qgis-just-installed-on-mac-osx-vector-layer-styles-do-not-work-properly

History

#1 - 2016-04-02 02:25 PM - Anita Graser

Does this affect vector or raster layers or both? Thanks!

#2 - 2016-04-03 12:40 AM - Liam Mason

| noticed with vector, but didn't test raster unfortunately. (I've switched back to 2.8)

#3 - 2016-04-09 08:07 AM - Giovanni Manghi

- OS version set to 10.8.5

- Subject changed from QGIS 2.14.0-2 - Mac OSX 10.8.5 - Error with symbol layer properties - This layer doesn't have any editable properties to Error
with symbol layer properties - This layer doesn't have any editable properties

- Category set to GUI

- Operating System set to OsX

#4 - 2016-05-24 07:11 AM - Arthur Vignacq

| get the same bug as another collegue .

Both with osx 10.8.5
Qgis 2.14 (already same error on all 2.10 version)

Tried multiple project (new and existing)

#5 - 2016-07-20 07:58 PM - Thomas McAdam

Also seeing this 2.14 on OSX 10.8.5, but not on another Mac with OSX 10.11, so going to upgrade the one on 10.8.5 to see if it helps.
http://gis.stackexchange.com/questions/157471/qgis-just-installed-on-mac-osx-vector-layer-styles-do-not-work-properly

#6 - 2017-05-01 01:05 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#7 - 2019-01-22 04:44 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Description updated
- Status changed from Open to Closed

Not an issue in 3.x
